Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.remote.hessian.service
Class HessianService

    java.lang.Object
      org.objectstyle.cayenne.remote.service.BaseRemoteService
          org.objectstyle.cayenne.remote.service.HttpRemoteService
              org.objectstyle.cayenne.remote.hessian.service.HessianService

All Implemented Interfaces:
  com.caucho.services.server.Service, java.rmi.Remote, RemoteService

    public class HessianService

extends HttpRemoteService
implements com.caucho.services.server.Service

An implementation of RemoteService using binary Hessian protocol. For more info on Hessian see http://www.caucho.com/resin-3.0/protocols/hessian.xtp.

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  `HessianServlet`, `RemoteService`

Field Summary
`static java.lang.String[]` | `SERVER_SERIALIZER_FACTORIES`

Fields inherited from class org.objectstyle.cayenne.remote.service.BaseRemoteService
`domain, EVENT_BRIDGE_FACTORY_PROPERTY, eventBridgeFactoryName, eventBridgeParameters`

Constructor Summary
`HessianService()`

Method Summary
`void` | `destroy()`
`protected javax.servlet.http.HttpSession` | `getSession(boolean create)` Returns an HttpSession associated with the current request in progress.
`void` | `init(javax.servlet.ServletConfig config)` Extracts parameters from ServletConfig and initializes the service.

Methods inherited from class org.objectstyle.cayenne.remote.service.HttpRemoteService
`createServerSession, createServerSession, getServerSession, getSharedChannel, saveSharedChannel`

Methods inherited from class org.objectstyle.cayenne.remote.service.BaseRemoteService
`createChannel, createRemoteSession, destroyService, establishSession, establishSharedSession, getEventBridgeFactoryName, getEventBridgeParameters, getRootChannel, initCayenneStack, initEventBridgeParameters, initService, processMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVER_SERIALIZER_FACTORIES

    public static final java.lang.String[] SERVER_SERIALIZER_FACTORIES

Constructor Detail

### HessianService

    public HessianService()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Extracts parameters from ServletConfig and initializes the service.

  Specified by:
    `init` in interface `com.caucho.services.server.Service`
  Throws:
    `javax.servlet.ServletException`

### getSession

    protected javax.servlet.http.HttpSession getSession(boolean create)

  Description copied from class: `HttpRemoteService`
  Returns an HttpSession associated with the current request in progress.

  Specified by:
    `getSession` in class `HttpRemoteService`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `com.caucho.services.server.Service`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.